<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bcs__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bcs_descr_value_t</compoundname>
    <includes local="no">cy_ble_bcs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bcs__descr__value__t_1a7c89ef291f1b7e7eaeca86cd2bb3f4ff" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_bcs_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="63" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="63" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bcs__descr__value__t_1a4811e4afc9f432abaa53fea73d2fcb55" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___b_c_s__definitions_1ga6ca7f1f0e332c7464fab8ae62fcf775f">cy_en_ble_bcs_char_index_t</ref></type>
        <definition>cy_en_ble_bcs_char_index_t cy_stc_ble_bcs_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="64" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bcs__descr__value__t_1ae0524ee0319c9c111f07462ead3de804" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___b_c_s__definitions_1gacf02ee6ae663720e6b8ad0511688bb56">cy_en_ble_bcs_descr_index_t</ref></type>
        <definition>cy_en_ble_bcs_descr_index_t cy_stc_ble_bcs_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="65" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bcs__descr__value__t_1af7c013b9607080df613ae2ee9ca47540" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_bcs_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="66" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BCS Characteristic descriptor value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="136">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="134">
        <label>cy_stc_ble_bcs_descr_value_t</label>
        <link refid="structcy__stc__ble__bcs__descr__value__t" />
        <childnode refid="135" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="136" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="135">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="67" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bcs.h" line="62" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bcs__descr__value__t_1a4811e4afc9f432abaa53fea73d2fcb55" virt="non-virtual"><scope>cy_stc_ble_bcs_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__bcs__descr__value__t_1a7c89ef291f1b7e7eaeca86cd2bb3f4ff" virt="non-virtual"><scope>cy_stc_ble_bcs_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__bcs__descr__value__t_1ae0524ee0319c9c111f07462ead3de804" virt="non-virtual"><scope>cy_stc_ble_bcs_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__bcs__descr__value__t_1af7c013b9607080df613ae2ee9ca47540" virt="non-virtual"><scope>cy_stc_ble_bcs_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>